%define upstream_name    File-Sync
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl access to fsync() and sync() function calls
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org//CPAN/authors/id/C/CE/CEVANS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
The fsync() function takes a Perl file handle as its only argument, and
passes its fileno() to the C function fsync().  It returns I<undef> on
failure, or I<true> on success.

The fsync_fd() function is used internally by fsync(); it takes a file
descriptor as its only argument.

The sync() function is identical to the C function sync().

This module does B<not> export any methods by default, but fsync() is
made available as a method of the I<FileHandle> and I<IO::Handle>
classes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{perl_vendorarch}/File
%{perl_vendorarch}/auto/File
%{_mandir}/man3/*

%changelog

* Sat Nov 19 2011 kharec <kharec> 0.110.0-1.mga2
+ Revision: 169422
- update to 0.11

* Sat Nov 19 2011 kharec <kharec> 0.100.0-1.mga2
+ Revision: 169398
- update to 0.10

* Sun Jun 12 2011 sander85 <sander85> 0.90.0-7.mga2
+ Revision: 104279
- Rebuild for perl 5.14

* Wed Jan 19 2011 jquelin <jquelin> 0.90.0-6.mga1
+ Revision: 23768
- rebuild

* Tue Jan 18 2011 blino <blino> 0.90.0-5.mga1
+ Revision: 23266
- rebuild for new perl

  + jquelin <jquelin>
    - imported package perl-File-Sync

